<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::InstancedGeometry::LODBucket Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#053fd4713e1eeae02c91248b46f263c0">addRenderables</a>(RenderQueue *queue, uint8 group, Real camSquaredDistance)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ce3db13c5248f7ade3cbeb7e24d5e20e">assign</a>(QueuedSubMesh *qsm, ushort atLod)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#5a5129a1073f82623a976719d3686c8a">build</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#73ac044ef94197f8c046dbb5d8ca373f">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7be9481a3adc079cbdf394a528f459ed">getLod</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#21e07f88bd86ddc51be2c4338bde4405">getMaterialIterator</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#30af69eaf32c77f33f0aed931e4bf62f">getParent</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#a2dad6ba7e2313dc3df4307253ed83b8">getSquaredDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#8e7ad9c80d4c1ea1f9b5db0830b19332">LODBucket</a>(BatchInstance *parent, unsigned short lod, Real lodDist)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#df2e7a4e5394f62e03c28b69fb35c982">MaterialBucketMap</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#26053042ebc8190ec0f3dd2b3f4d29cb">MaterialIterator</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#ebb2f6b01a55e77392c0202124459bd6">mLod</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#fc41ec6c886c1c8fa8b1d4efd6bb9d62">mMaterialBucketMap</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7d1a7e30731dbc658240cecdef8f9b1e">mParent</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#43c819fe51679560ac3480800d77046b">mQueuedGeometryList</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#7d621a0b32b412677bc0d4baac115f1d">mSquaredDistance</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#d5233d8a1371dd9a19de16a33d8505fe">updateContainers</a>(MaterialBucket *bucket, String &amp;name)</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#8b748a5c699e7cf334d1c687c7f23555">~LODBucket</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">Ogre::InstancedGeometry::LODBucket</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:11 2008
</p>
</body>
</html>
